新手求助!到底如何安裝NVIDIA显卡呀?在线等。

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
fish0017
帖子: 28
注册时间: 2006-11-09 17:28
送出感谢: 0
接收感谢: 0

新手求助!到底如何安裝NVIDIA显卡呀?在线等。

#1

帖子 fish0017 » 2006-11-09 18:00

各种方法都用过了,还是不行。
WIKI和论坛上的文章都看了,还是不行。
还有,NVIDIA-GLX和 nvidia-settings到底是谁包含谁?两个不能同时安装?
我装的是6.10。NVIDIA7300
头像
我思故我在
帖子: 101
注册时间: 2006-08-17 1:13
送出感谢: 0
接收感谢: 2 次

#2

帖子 我思故我在 » 2006-11-09 19:23

  先用sudo apt-get install nivida-glx,不行用
  sudo apt-get install nvidia-glx-legacy,不行
  上网查阅编译内核等相关资料。
  上网下载内核源码包,nvidia官方驱动。
  编译内核装驱动。
fish0017
帖子: 28
注册时间: 2006-11-09 17:28
送出感谢: 0
接收感谢: 0

#3

帖子 fish0017 » 2006-11-09 20:20

我用GLX时,在安装nvidia-settings时,要求你删除过GLX,不安装nvidia-settings,你驱动不能激活。
sudo nvidia-glx-config enable后出现如下:
~$ sudo nvidia-glx-config enable
Error: unable to load nvidia kernel driver! Be sure to have installed
the nvidia driver for your running kernel.
我用legacy相同。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2006-11-09 22:13

nvidia-settings不需要安装的吧。


$ aw nvidia-glx
软件包: nvidia-glx
状态: 未安装(配置文件保留)
版本号: 1.0.8762+2.6.15.11-5
优先级: 可选
部分: restricted/x11
维护者: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
未压缩尺寸: 12.5M
依赖于: nvidia-kernel-1.0.8762, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa
| libglu1, libatk1.0-0 (>= 1.9.0), libc6 (>= 2.3.4-1), libglib2.0-0
(>= 2.10.0), libgtk2.0-0 (>= 2.8.0), libpango1.0-0 (>= 1.12.2),
libx11-6, libxext6
建议: nvidia-kernel-source (>= 1.0.8762)
冲突: nvidia-glx-src, nvidia-settings, nvidia-xconfig
代替: nvidia-glx-src
提供: xserver-xorg-driver
提供者:: nvidia-glx-legacy, nvidia-glx-legacy
描述: NVIDIA binary XFree86 4.x/X.Org driver
These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
of OpenGL applications via a direct-rendering X Server and support the newer
GeForce, nForce and Quadro families of NVIDIA chipsets. AGP, TV-out and flat
panel displays are also supported.

If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
package instead of this one.

To enable the driver, run "sudo nvidia-glx-config enable".
● 鸣学
fish0017
帖子: 28
注册时间: 2006-11-09 17:28
送出感谢: 0
接收感谢: 0

#5

帖子 fish0017 » 2006-11-09 23:00

我在论坛也看到了NVIDIA-GLX和 nvidia-settings就需要安装NVIDIA-GLX,但GLX不能激活。
运行sudo nvidia-glx-config enable后,提示
~$ sudo nvidia-glx-config enable
Error: unable to load nvidia kernel driver! Be sure to have installed
the nvidia driver for your running kernel.
当你退出XWINDOW时是花屏,你就再也别想进去了。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2006-11-09 23:04

6.10的,你应该安装最新的驱动。就是到官方网站下。
上面的提示,就是驱动和你的内核不兼容。
● 鸣学
fish0017
帖子: 28
注册时间: 2006-11-09 17:28
送出感谢: 0
接收感谢: 0

#7

帖子 fish0017 » 2006-11-09 23:37

6楼,你确定你说的是对的,那为什么WIKI上的所有版本里的和你的不一样,我到底应该听谁的,
你确定不能载入nvidia kernel 驱动的意思是要下最新的NVIDIA驱动么。
如果你是正确的,那WIKI就该改改了。
fish0017
帖子: 28
注册时间: 2006-11-09 17:28
送出感谢: 0
接收感谢: 0

#8

帖子 fish0017 » 2006-11-10 2:20

我已经找到解决办法了,谢谢各位高手的帮忙。
我在这个帖子里找到解决办法了。


about30638.html
回复

回到 “常用硬件支持”